Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractVectorComponents Class Reference

`#include <vtkExtractVectorComponents.h>`

Inheritance diagram for vtkExtractVectorComponents:

[legend]
Collaboration diagram for vtkExtractVectorComponents:

[legend]
List of all members.

## Detailed Description

extract components of vector as separate scalars

Date:
  2002/11/03 22:51:55

Revision:
  1.37

vtkExtractVectorComponents is a filter that extracts vector components as separate scalars. This is accomplished by creating three different outputs. Each output is the same as the input, except that the scalar values will be one of the three components of the vector. These can be found in the VxComponent, VyComponent, and VzComponent. Alternatively, if the ExtractToFieldData flag is set, the filter will put all the components in the field data. The first component will be the scalar and the others will be non-attribute arrays.

Warning:
  This filter is unusual in that it creates multiple outputs. If you use the GetOutput() method, you will be retrieving the x vector component.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (41%)
  - Geveci, Berk (20%)
  - Martin, Ken (16%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractVectorComponents.cxx)`
  - .`h` (`/Graphics/vtkExtractVectorComponents.h)`

Tests:
  vtkExtractVectorComponents (Tests)

Definition at line 60 of file vtkExtractVectorComponents.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
vtkDataSet * | GetVxComponent ()
vtkDataSet * | GetVyComponent ()
vtkDataSet * | GetVzComponent ()
vtkDataSet * | GetOutput (int i=0)
virtual void | SetExtractToFieldData (int)
virtual int | GetExtractToFieldData ()
virtual void | ExtractToFieldDataOn ()
virtual void | ExtractToFieldDataOff ()
## Static Public Methods
vtkExtractVectorComponents * | New ()
int | IsTypeOf (const char *type)
vtkExtractVectorComponents * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractVectorComponents ()
| ~vtkExtractVectorComponents ()
void | Execute ()
## Protected Attributes
int | ExtractToFieldData

## Member Typedef Documentation

typedef vtkSource vtkExtractVectorComponents::Superclass

| Reimplemented from vtkSource. Definition at line 64 of file vtkExtractVectorComponents.h.

## Constructor & Destructor Documentation

vtkExtractVectorComponents::vtkExtractVectorComponents | ( |  | ) | `[protected]`

vtkExtractVectorComponents::~vtkExtractVectorComponents | ( |  | ) | `[protected]`

## Member Function Documentation

vtkExtractVectorComponents* vtkExtractVectorComponents::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractVectorComponents::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkExtractVectorComponents::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkExtractVectorComponents::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkExtractVectorComponents* vtkExtractVectorComponents::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

void vtkExtractVectorComponents::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

virtual void vtkExtractVectorComponents::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Specify the input data or filter.

vtkDataSet* vtkExtractVectorComponents::GetInput | ( |  | ) |

| Get the input data or filter.

vtkDataSet* vtkExtractVectorComponents::GetVxComponent | ( |  | ) |

| Get the output dataset representing velocity x-component. If output is NULL then input hasn't been set, which is necessary for abstract objects. (Note: this method returns the same information as the GetOutput() method with an index of 0.)

vtkDataSet* vtkExtractVectorComponents::GetVyComponent | ( |  | ) |

| Get the output dataset representing velocity y-component. If output is NULL then input hasn't been set, which is necessary for abstract objects. (Note: this method returns the same information as the GetOutput() method with an index of 1.) Note that if ExtractToFieldData is true, this output will be empty.

vtkDataSet* vtkExtractVectorComponents::GetVzComponent | ( |  | ) |

| Get the output dataset representing velocity z-component. If output is NULL then input hasn't been set, which is necessary for abstract objects. (Note: this method returns the same information as the GetOutput() method with an index of 2.) Note that if ExtractToFieldData is true, this output will be empty.

vtkDataSet* vtkExtractVectorComponents::GetOutput | ( | int | i = 0 | ) |

| Get the output dataset containing the indicated component. The component is specified by an index between (0,2) corresponding to the x, y, or z vector component. By default, the x component is extracted. Reimplemented from vtkSource.

virtual void vtkExtractVectorComponents::SetExtractToFieldData | ( | int |  | ) | `[virtual]`

| Determines whether the vector components will be put in separate outputs or in the first output's field data

virtual int vtkExtractVectorComponents::GetExtractToFieldData | ( |  | ) | `[virtual]`

| Determines whether the vector components will be put in separate outputs or in the first output's field data

virtual void vtkExtractVectorComponents::ExtractToFieldDataOn | ( |  | ) | `[virtual]`

| Determines whether the vector components will be put in separate outputs or in the first output's field data

virtual void vtkExtractVectorComponents::ExtractToFieldDataOff | ( |  | ) | `[virtual]`

| Determines whether the vector components will be put in separate outputs or in the first output's field data

void vtkExtractVectorComponents::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkExtractVectorComponents::ExtractToFieldData`[protected]`

| Definition at line 112 of file vtkExtractVectorComponents.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractVectorComponents.h